Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.network
Class QUrlInfo.PermissionSpec

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.network.QUrlInfo.PermissionSpec

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QUrlInfo

    public static final class QUrlInfo.PermissionSpec

extends java.lang.Enum
implements QtEnumerator

This enum is used by the `permissions()` function to report the permissions of a file.

See Also:
  Serialized Form

Field Summary
`static QUrlInfo.PermissionSpec` | `ExeGroup` The file is executable by the group.
`static QUrlInfo.PermissionSpec` | `ExeOther` The file is executable by anyone.
`static QUrlInfo.PermissionSpec` | `ExeOwner` The file is executable by the owner of the file.
`static QUrlInfo.PermissionSpec` | `ReadGroup` The file is readable by the group.
`static QUrlInfo.PermissionSpec` | `ReadOther` The file is readable by anyone.
`static QUrlInfo.PermissionSpec` | `ReadOwner` The file is readable by the owner of the file.
`static QUrlInfo.PermissionSpec` | `WriteGroup` The file is writable by the group.
`static QUrlInfo.PermissionSpec` | `WriteOther` The file is writable by anyone.
`static QUrlInfo.PermissionSpec` | `WriteOwner` The file is writable by the owner of the file.

Method Summary
`static QUrlInfo.PermissionSpec` | `resolve(int value)` Returns the QUrlInfo$PermissionSpec constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QUrlInfo.PermissionSpec` | `valueOf(java.lang.String name)`
`static QUrlInfo.PermissionSpec[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### ReadOwner

    public static final QUrlInfo.PermissionSpec ReadOwner

  The file is readable by the owner of the file.

### WriteOwner

    public static final QUrlInfo.PermissionSpec WriteOwner

  The file is writable by the owner of the file.

### ExeOwner

    public static final QUrlInfo.PermissionSpec ExeOwner

  The file is executable by the owner of the file.

### ReadGroup

    public static final QUrlInfo.PermissionSpec ReadGroup

  The file is readable by the group.

### WriteGroup

    public static final QUrlInfo.PermissionSpec WriteGroup

  The file is writable by the group.

### ExeGroup

    public static final QUrlInfo.PermissionSpec ExeGroup

  The file is executable by the group.

### ReadOther

    public static final QUrlInfo.PermissionSpec ReadOther

  The file is readable by anyone.

### WriteOther

    public static final QUrlInfo.PermissionSpec WriteOther

  The file is writable by anyone.

### ExeOther

    public static final QUrlInfo.PermissionSpec ExeOther

  The file is executable by anyone.

Method Detail

### values

    public static QUrlInfo.PermissionSpec[] values()

### valueOf

    public static QUrlInfo.PermissionSpec valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QUrlInfo.PermissionSpec resolve(int value)

  Returns the QUrlInfo$PermissionSpec constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD